2017-04-24 14:55 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000134QMC2Feature requestpublic2017-02-15 07:16
ReporterMusicLovr 
Assigned Torreucher 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version0.70 
Target Version0.183Fixed in Version0.183 
Summary0000134: Too many tabs
DescriptionGreatings. Great program, despite a few fleas (minor bugs, mostly on the software lists side of the house.

I really dislike scrolling tabs. And I have all the MAME EXTRAs artwork classes implemented, yielding 22 System-specific detail tabs. Rather a pain to move between them (who could remember that many accelerator keys?). IMO, the best approach, where real estate is available, is stacked rows of tabs. I don't think that a good choice, for this application. The other approach, which should work, here, is that used in browsers: a drop-down list, next to the scroll arrows, to quickly select the desire tab.

Please consider this.

Next, my other 4 or 5 wish-list items.
TagsNo tags attached.
Arcade ThemeN/A
Attached Files

-Relationships
+Relationships

-Notes

~0000428

rreucher (administrator)

I'll think about some possible enhancements here.

~0000430

MusicLovr (reporter)

Great! Thanks...

~0000441

rreucher (administrator)

Last edited: 2017-02-15 05:46

View 2 revisions

I'm going to implement the "drop-down menu" idea for this soon. There is already a context-menu for each UI component's tab-widget, but it's not used for this purpose yet since it's nearly impossible to reach it :). I've just changed this to do what it's supposed to do in SVN r7948. Excerpt from the change-log:

- imp: the context menu of each component's tab-widget is now accessible by right-clicking the header (instead of a small area above it)

So this should enable this type of tab-selection through a context-menu. I only need to redesign the menus a bit, and add all visible tabs (with their icons) as menu items triggering appropriate actions to switch tabs.

~0000442

rreucher (administrator)

This has been added in SVN r7949!
+Notes

-Issue History
Date Modified Username Field Change
2017-01-24 17:42 MusicLovr New Issue
2017-01-24 17:42 MusicLovr File Added: combine_images.png
2017-01-25 02:27 rreucher Note Added: 0000428
2017-01-25 02:27 rreucher Assigned To => rreucher
2017-01-25 02:27 rreucher Status new => assigned
2017-01-26 02:43 MusicLovr Note Added: 0000430
2017-02-15 05:44 rreucher Note Added: 0000441
2017-02-15 05:45 rreucher Severity minor => feature
2017-02-15 05:45 rreucher OS Windows => All
2017-02-15 05:45 rreucher OS Version 7 => All
2017-02-15 05:45 rreucher Platform x86_64 => All
2017-02-15 05:45 rreucher Target Version => 0.183
2017-02-15 05:46 rreucher Note Edited: 0000441 View Revisions
2017-02-15 07:16 rreucher Status assigned => resolved
2017-02-15 07:16 rreucher Resolution open => fixed
2017-02-15 07:16 rreucher Fixed in Version => 0.183
2017-02-15 07:16 rreucher Note Added: 0000442
+Issue History